﻿using System.Windows.Forms;

namespace InfragisticsDockableTestApplication
{
    public partial class SeriesPage : UserControl
    {
        public SeriesPage()
        {
            InitializeComponent();

            TabControlDockable tabControl = new TabControlDockable();
            tabControl.Dock = System.Windows.Forms.DockStyle.Fill;
            tabControl.Location = new System.Drawing.Point(214, 26);
            tabControl.Name = "tabControl";
            tabControl.Size = new System.Drawing.Size(277, 308);
            tabControl.TabIndex = 10;
            //tabControl.WindowStyle = Ors.Controls.WinForms.WindowStyle.Office2007;

            this.Controls.Add(tabControl);

            //GridChartControlContainer cridChartControlContainer = new GridChartControlContainer();
            //tabControl.AddControl(cridChartControlContainer, "GridChartControlContainer", "GridChartControlContainer");

            MultiSplitContainerDockable _multiSplitContainerDockable = new MultiSplitContainerDockable();
            _multiSplitContainerDockable.Dock = DockStyle.Fill;
            _multiSplitContainerDockable.TabText1 = "Chart";
            _multiSplitContainerDockable.TabText4 = "Time series data";
            _multiSplitContainerDockable.TabText2 = "Selected point";
            _multiSplitContainerDockable.TabText3 = "Quick watch";
            Controls.Add(_multiSplitContainerDockable);
            tabControl.AddControl(_multiSplitContainerDockable, "GridChartControlContainer", "GridChartControlContainer");

            TextBox textBox = new TextBox();
            textBox.Multiline = true;
            textBox.ScrollBars = ScrollBars.Both;
            textBox.Dock = DockStyle.Fill;
            textBox.ReadOnly = true;

            _multiSplitContainerDockable.Control4 = textBox;
        }
    }
}
