﻿using System;
using System.Windows.Forms;
namespace InfragisticsDockableTestApplication
{
	/// <summary>
	/// Base class for TabControls
	/// </summary>
	public class TabControl : UserControl//, ITabControl
	{
		/// <summary>
		/// Add a control
		/// </summary>
		/// <param name="control">The control to be added</param>
		/// <param name="key">The key that identifies the control</param>
		/// <param name="description">A description for the control</param>
		public virtual void AddControl(System.Windows.Forms.Control control, string key, string description)
		{
			throw new NotImplementedException();
		}

		/// <summary>
		/// True if this control contains the specified key, false otherwise
		/// </summary>
		/// <param name="key">a key</param>
		/// <returns>True if this control contains the specified key, false otherwise</returns>
		public virtual bool ContainsKey(string key)
		{
			throw new NotImplementedException();
		}

		/// <summary>
		/// Get the keys of the added controls
		/// </summary>
		public virtual System.Collections.Generic.IEnumerable<string> ControlKeys
		{
			get
			{
				throw new NotImplementedException();
			}
		}

		/// <summary>
		/// Remove the control with the specified key
		/// </summary>
		/// <param name="key">The key that identifies the control</param>
		public virtual void RemoveControl(string key)
		{
			throw new NotImplementedException();
		}

		/// <summary>
		/// Return the control with the specified key
		/// </summary>
		/// <param name="key">the key of the control to be retireved</param>
		/// <returns>the control with the specified key</returns>
		public virtual System.Windows.Forms.Control this[string key]
		{
			get
			{
				throw new NotImplementedException();
			}
		}
        ///// <summary>
        ///// Get or set a value specifying the window appearence for rendering the control 
        ///// </summary>
        //public virtual WindowStyle WindowStyle
        //{
        //    get
        //    {
        //        throw new NotImplementedException();
        //    }
        //    set
        //    {
        //    }
        //}
	}
}
